program Chocolate;

{$APPTYPE CONSOLE}

uses
  SysUtils;
 var i,n,a,b:integer;
begin
assign(input,'Chocolate.in');
reset(input);
readln (n);
assign(output,'Choco.txt');
rewrite(output);
for i:=1 to n do
begin
readln(a);
if a mod 2 = 0 then
begin
if a>2 then
b:=3+2*a else b:=3;
writeln(b);
end;
end;





  { TODO -oUser -cConsole Main : Insert code here }
end.
 